#ifndef bqtFloatdefsHH
#define bqtFloatdefsHH

/* For double: */
#define FLOAT double
#define FLOAT_ARG FLOAT
#define SIN sin
#define COS cos
#define SQRT sqrt
#define POW pow
#define PF "f"
/**/

/* For long double:
#define FLOAT long double
#define FLOAT_ARG FLOAT
#define SIN sinl
#define COS cosl
#define SQRT sqrtl
#define POW powl
#define PF "Lf"
*/

/* For fractions:
#define FLOAT fraction<int>
#define FLOAT_ARG const FLOAT &
#define SIN sin
#define COS cos
#define SQRT sqrt
#define POW pow
#define PF "f"
*/

#endif
